Subject: RE: IPV6CP - RFC Compliance 2472

From: "Subramonia Pillai - CTD, Chennai" <[email-masked]>
Date: Fri, 30 Apr 2004 10:15:17 +0530

Hi,

According to RFC, Interface Identifier being used to not only for the
Link-local address, EUI-64 global unicast address is derived from that.

Based on your input, 
1. How one end will come to know the other end address (both link-local and
global unicast address)?
2. Will unicast routing protocol will advertise that address? or some other
protocol?
3. Can you please tell me, what is being followed by the industry in this
scenario ?

Thanks
Subu

-----Original Message-----
From: Ole Troan [mailto:[email-masked]]
Sent: Thursday, April 29, 2004 9:18 PM
To: Subramonia Pillai - CTD, Chennai
Cc: [email-masked]
Subject: Re: IPV6CP - RFC Compliance 2472

> One of Major Core Router vender is not advertising Interface Identifier as
> part of IPV6CP Configuration Request. The control packet from that box is
as
> given below.
>
> 80  57  01  28  00  04   (no Interface Identifier options).
>
> Even I send Nak for this message with Interface Identifier option, I
didn't
> get Interface Identifier. In that case, how will come to bring up the link
> and know the link-local address? Is it not violating standard? Please tell
> me if any one of you already come across this issue.

not speaking for the vendor in question.
this is perfectly valid according to RFC2472. an implementation of
IPV6CP doesn't need to support the Interface-Identifier option.

you shouldn't need to know the peers link-local address anyway.

/ot

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: [email-masked] (Jun-ichiro itojun Hagino)
Date: Fri, 30 Apr 2004 16:49:45 +0900 (JST)

> 1. How one end will come to know the other end address (both link-local and

	normally routers learn their peer's link-local address via routing
	protocol.  there's no need to know global address.

> 2. Will unicast routing protocol will advertise that address? or some other

	they will advertise link-local address (in the case of RIPng).

> 3. Can you please tell me, what is being followed by the industry in this

	what is "this scenario"?

itojun